# Goal


## Goal

Construct six statistical tests to assert whether a sample comes from a Landau
distribution

. . .

- Generate a sample $L$ from a Landau PDF
- Generate a sample $M$ from a Moyal PDF

. . .

$H_0$: sample following Landau PDF

 - can we accept $H_0$ for $L$?
 - can we reject $H_0$ for $M$?


## Why Moyal?

The Landau and Moyal PDFs are really similar.  
Historically, the latter was utilized as an approximation of the former.

```{=latex}
\includegraphics<1>[height=5.5cm]{images/moyal-photo.jpg}
\includegraphics<2>[height=5.5cm]{images/mondau-photo.jpg}
\includegraphics<3>[height=5.5cm]{images/landau-photo.jpg}
```


## Two similar distributions

:::: {.columns}
:::  {.column width=50%}
  Landau PDF
  $$
    L(x) = \frac{1}{\pi} \int \limits_{0}^{+ \infty}
           dt \, e^{-t \ln(t) -xt} \sin (\pi t)
  $$
:::

:::  {.column width=50%}
  Moyal PDF
  $$
  M(x) = \frac{1}{\sqrt{2 \pi}} \exp \left[ - \frac{1}{2}
         \left( x + e^{- x} \right) \right]
  $$
:::
::::

\vspace{1em}

:::: {.columns}
:::  {.column width=50%}
  ![](images/landau-pdf.pdf)
:::

:::  {.column width=50%}
  ![](images/moyal-pdf.pdf)
:::
::::


## Two similar distributions

![](images/both-pdf.pdf)


## Statistical tests

. . .

- **Properties test**

  compatibility between expected and observed PDF properties

. . .

- **Kolmogorov - Smirnov test**

  compatibility between expected and empirical CDF

. . .

- **Trapani test**

  test for finite or infinite moments
